Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ru.biosoft.access
Class CompositeFilter

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--ru.biosoft.access.MutableFilter
                  |
                  +--ru.biosoft.access.CompositeFilter

Direct Known Subclasses:
  ValueListFilter, BeanValueFilter

public class CompositeFilter
extends MutableFilter

todo comments

Constructor Summary
`CompositeFilter()`
`CompositeFilter(Option parent)`

Method Summary
`void` | `add(Filter filter)` Add new filter to the list.
`Filter[]` | `getFilter()`
`Filter` | `getFilter(int i)`
`boolean` | `isAcceptable(DataElement de)` To satisfy this filter `DataElement` should satisfy all all subfilters.
`boolean` | `isExists(Filter filter)`
`void` | `remove(Filter filter)`
`void` | `setFilter(Filter[] filterList)`
`void` | `setFilter(int i, Filter filter)`

Methods inherited from class ru.biosoft.access.MutableFilter
`isEnabled, setEnabled`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CompositeFilter

    public CompositeFilter()

### CompositeFilter

    public CompositeFilter(Option parent)

Method Detail

### add

    public void add(Filter filter)

  Add new filter to the list. If this filter is `MutableFilter`, then set up itself as a parent.

### getFilter

    public Filter[] getFilter()

### getFilter

    public Filter getFilter(int i)

### isAcceptable

    public boolean isAcceptable(DataElement de)

  To satisfy this filter `DataElement` should satisfy all all subfilters. `null` is not accepted.

### isExists

    public boolean isExists(Filter filter)

### remove

    public void remove(Filter filter)

  todo implement

### setFilter

    public void setFilter(Filter[] filterList)

### setFilter

    public void setFilter(int i, Filter filter)

Association Links

to Class ru.biosoft.access.Filter

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM